#ifndef _DCARD_H_
#define _DCARD_H_


/* function prototypes */
static int dcard_open(struct inode*, struct file*);
static int dcard_release(struct inode*, struct file*);
static int dcard_ioctl(struct inode*, struct file*, unsigned int, unsigned long);
//static int dcard_mmap(struct file*, struct vm_area_struct*);
static ssize_t dcard_read(struct file*, char*, size_t, loff_t*);
static ssize_t dcard_write(struct file*, const char*, size_t, loff_t*);

uint32_t debug_level =1;
#define DPRINTF(x...)  if (debug_level != 0) printk(KERN_NOTICE "DCARD: "x)

/*    DCARD registers  -  these are all offsets from  the address in badr1_iobase    */

#define DCARD_STATUS        0x00

/*    IOCTL codes   */


#endif /* _DCARD_H_ */
