
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include <unistd.h>
#include <errno.h>

#include <sys/types.h> 
#include <sys/stat.h> 
#include <fcntl.h>



int PORGAMRAYSfh;



void Usage(char *progname) {
    fprintf(stderr,"Usage\n%s \n",progname);
    exit(1);
}


void PORGAMRAYS_readevent()
{
    int module;
    unsigned int data;
    int len;
    unsigned int Status;
    unsigned int databufferL[512];
    unsigned int databufferH[512];
    int wordL, wordH;
    int i, j, k;
    int rc;

    module = 1;
    wordL = 0;
    wordH = 0;

    lseek(PORGAMRAYSfh, 0x0301 << 2, SEEK_SET);    //  Status register
    rc = read(PORGAMRAYSfh, &Status, 4);        //  read it

printf("read %d 0x%x\n", rc, Status);

    if ((Status & 0x10) == 0x10)             // block_low_ready
    {

        lseek(PORGAMRAYSfh, 0x0304 << 2, SEEK_SET);    //  event low count
        rc = read(PORGAMRAYSfh, &wordL, 4);        //  read it

printf("read %d 0x%x\n", rc, wordL);

        len = (wordL & 255) * 4;         // 4 * 32 bit words per event

        lseek(PORGAMRAYSfh, 0x2000 << 2, SEEK_SET);    //  low buffer
        rc = read(PORGAMRAYSfh, &databufferL[0], len);        //  read it

        lseek(PORGAMRAYSfh, 0x0300 << 2, SEEK_SET);    //  Control register

        data = 0x10;
        rc = write(PORGAMRAYSfh, &data, 4);        //  set block low taken
        data = 0x0;
        rc = write(PORGAMRAYSfh, &data, 4);        //  set block low taken
    }

    if ((Status & 0x20) == 0x20)             // block_high_ready
    {

        lseek(PORGAMRAYSfh, 0x0305 << 2, SEEK_SET);    //  event high count
        rc = read(PORGAMRAYSfh, &wordH, 4);        //  read it

printf("read %d 0x%x\n", rc, wordH);

        len = (wordH & 255) * 4;         // 4 * 32 bit words per event

        lseek(PORGAMRAYSfh, 0x2800 << 2, SEEK_SET);    //  high buffer
        rc = read(PORGAMRAYSfh, &databufferH[1], len);        //  read it

        lseek(PORGAMRAYSfh, 0x0300 << 2, SEEK_SET);    //  Control register

        data = 0x20;
        rc = write(PORGAMRAYSfh, &data, 4);        //  set block high taken
        data = 0x0;
        rc = write(PORGAMRAYSfh, &data, 4);        //  set block high taken
    }
 
    if (wordL + wordH == 0) return;    //  no event 

    printf ("got data %d %d\n", wordL, wordH);
    
    k = 0;

    for (i=0; i<wordL; i++)        // handle each event
    {


        for (j=0; j<4; j++)        // handle the 4 * 32 bits words which make up an event 
        {
            data = databufferL[k];

        }
    }

    k = 0;

    for (i=0; i<wordH; i++)        // handle each event
    {


        for (j=0; j<4; j++)        // handle the 4 * 32 bits words which make up an event 
        {
            data = databufferH[k];

        }
    }
    

    return;

}

int main(int argc, char **argv) {
   int data, rc;


  PORGAMRAYSfh = open("/dev/dcard0", O_RDWR);

    lseek(PORGAMRAYSfh, 0x0300 << 2, SEEK_SET);    //  Control register

    data = 0x4000;
    rc = write(PORGAMRAYSfh, &data, 4);     //  set RDO_reset

    data = 0x0;
    rc = write(PORGAMRAYSfh, &data, 4);     //  clear RDO_reset

    data = 0x1;
    rc = write(PORGAMRAYSfh, &data, 4);     //  set Enable readout

   PORGAMRAYS_readevent();


    exit(0);

}
