/*-----------------------------------------------------------------
 * Tool vhdlToVerilog Version 4.09 
 * Src          File = dcr_dcl.vhd 
 * Destination  File = vhdl2Vl/dcr_dcl.inc Created Tue May 14 14:47:19 2002
 *-----------------------------------------------------------------*/
//------------------------------------------------------------------------------
// Copyright (c) 2000 IBM Microelectronics. All rights reserved               --
//                                                                            --
// DCR Component Declarations                                                 --
//                                                                            --
// written by : Pete LaFauci                                                  --
//              IBM Microelectronics                                          --
//              PowerPC Embedded Processor Solutions                          --
//                                                                            --
// support by:                                                                --
//              IBM Microcontroller Applications Group                        --
//              mailto:ppcsupp@us.ibm.com                                     --
//              http://www.chips.ibm.com/products/powerpc/                    --
//              FAX: +1 919 543 7575                                          --
//                                                                            --
//------------------------------------------------------------------------------


`define true  1'b1
`define false 1'b0
`define dcr_timeout_max_count  64 
// DCR bus timeout threshold, used in monitor
`define dcr_master_timeout_max_count  64 
// number of clocks for the dcr master
// to de-assert control signal without ack
`define dcr_s_device_max  8 
// max number of DCR slave device instantiations
`define dcr_master_cmd_array_size  256 
`define dcr_slave_cmd_array_size  256 
`define dcr_monitor_cmd_array_size  256 
`define dcr_monitor_record_array_size  256 
`define dcr_slave_reg_array_size  16 
// depth of 32 bit slave register array
`define dcr_slave_reg_array_left_index  6 
// RIGHT_INDEX - log2(REG_ARRAY_SIZE/(DCR_REGISTER_WIDTH/8)) + 1;
`define dcr_slave_reg_array_right_index  9 
// right index of abus;
// generic inputs
// generic inputs
// generic inputs
// generic inputs
// generic inputs
// generic inputs
