//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
// 
// This File is a place holder for the DCR Toolkit - Master

module dcr_master (
cpu_dcrabus,
cpu_dcrdbusout,
cpu_dcrread,
cpu_dcrwrite,
dcr_clk,
dcr_cpuack,
dcr_cpudbusin,
dcr_reset,
synch_in,
synch_out
);
parameter dcr_master_num = 1;
parameter dcr_master_addr_lo_0 = 1;
parameter dcr_master_addr_hi_0 = 1;
parameter dcr_master_addr_lo_1 = 1;
parameter dcr_master_addr_hi_1 = 1;

input [0:31] dcr_cpudbusin;
input [0:31] synch_in;
input dcr_clk;
input dcr_cpuack;
input dcr_reset;
output [0:31] cpu_dcrdbusout;
output [0:31] synch_out;
output [0:9] cpu_dcrabus;
output cpu_dcrread;
output cpu_dcrwrite;

assign cpu_dcrdbusout = 32'b0;
assign synch_out = 32'b0;
assign cpu_dcrabus = 10'b0;
assign cpu_dcrread = 1'b0;
assign cpu_dcrwrite = 1'b0;

initial begin
  $display ("Note:  The dcr_master.v file is provided as a placeholder for an element of ");
  $display ("       the IBM(R) CoreConnect(TM) Toolkit.  The CoreConnect Toolkit is only ");
  $display ("       available to CoreConnect licensees.  Xilinx has simplified the process ");
  $display ("       of becoming a CoreConnect licensee through a web based registration ");
  $display ("       that is available at: ");
  $display ("");
  $display ("       http://www.xilinx.com/coreconnect ");
  $display ("");
  $display ("       CoreConnect licensees are entitled to full access to the CoreConnect ");
  $display ("       Toolkit including powerful bus functional modeling, bus monitoring ");
  $display ("       tools and periodic updates.  To get the most out of the ");
  $display ("       Development Kit, Xilinx recommends the use of the IBM CoreConnect ");
  $display ("       Toolkit. ");
  $display ("");
end

endmodule
