//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
// 
// This File is a place holder for the DCR Toolkit - Monitor

module dcr_monitor (
cpu_dcrabus,
cpu_dcrdbusout,
cpu_dcrread,
cpu_dcrwrite,
dcr_clk,
dcr_cpuack,
dcr_cpudbusin,
dcr_reset,
synch_in,
synch_out
);
parameter dcr_monitor_num = 1;

input [0:31] cpu_dcrdbusout;
input [0:31] dcr_cpudbusin;
input [0:31] synch_in;
input [0:9] cpu_dcrabus;
input cpu_dcrread;
input cpu_dcrwrite;
input dcr_clk;
input dcr_cpuack;
input dcr_reset;
output [0:31] synch_out;

assign synch_out = 32'b0;

initial begin
  $display ("Note:  The dcr_monitor.v file is provided as a placeholder for an element of ");
  $display ("       the IBM(R) CoreConnect(TM) Toolkit.  The CoreConnect Toolkit is only ");
  $display ("       available to CoreConnect licensees.  Xilinx has simplified the process ");
  $display ("       of becoming a CoreConnect licensee through a web based registration ");
  $display ("       that is available at: ");
  $display ("");
  $display ("       http://www.xilinx.com/coreconnect ");
  $display ("");
  $display ("       CoreConnect licensees are entitled to full access to the CoreConnect ");
  $display ("       Toolkit including powerful bus functional modeling, bus monitoring ");
  $display ("       tools and periodic updates.  To get the most out of the ");
  $display ("       Development Kit, Xilinx recommends the use of the IBM CoreConnect ");
  $display ("       Toolkit. ");
  $display ("");
end

endmodule
