/*-----------------------------------------------------------------
 * Tool vhdlToVerilog Version 4.09 
 * Src          File = opb_dcl.vhd 
 * Destination  File = vhdl2Vl/opb_dcl.inc Created Fri Jun 14 15:04:49 2002
 *-----------------------------------------------------------------*/
//------------------------------------------------------------------------------
// Copyright (c) 1996-2001 IBM Microelectronics. All rights reserved   --
//                                                                            --
// Version 2.0.1                                                                --
//                                                                            --
//                                                                            --
// OPB Component Declarations                                                 --
//                                                                            --
//------------------------------------------------------------------------------


`define true  1'b1
`define false 1'b0
`define random  2'b00
`define round  2'b01
`define priority  2'b10
`define test  2'b11
`define opb_data_bus_width  64 
//64 bits wide
`define opb_be_bus_width (`opb_data_bus_width / 8 )
`define max_opb_devices  3 
`define opb_unit_delay 2 
`define opb_monitor_cmd_array_size  1024 
// number of monitor bus cycle commands
`define opb_monitor_record_array_size  16 
// number of monitor commands recorded
`define opb_monitor_synch_array_size  32 
`define slave_cmd_array_size  2048 
`define slave_check_array_size  1024 
`define slave_mem_array_size  1024 
`define q_max  7 
`define opb_master_g_reg_array_size  32 
// number of general purpose register
`define master_cmd_array_size  4096 
`define byte_count_max  8 
// maximum number of be's
`define byte_count_min  1 
// minimum number of be's
//END QUESTIONS
//----- internal signals
// END QUESTIONS
