#
#     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
#     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
#     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
#     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
#     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
#     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
#     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
#     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
#     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
#     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
#     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
#     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#     FOR A PARTICULAR PURPOSE.
#     
#     (c) Copyright 2004 Xilinx, Inc.
#     All rights reserved.
#

# The Library "bfm_lib" is used to override the PPC405 SWIFT model with the
# PPC405 BFM Model
if { $BEHAVIORAL_SIM == 1 } {
    # Need to use a Verilog wrapper for the rest to work
    vlog -work work ../../data/ppc405_0_wrapper.v
}
vlib bfm_lib
vlog -vlog95compat -incr -work bfm_lib -f ../../data/compile_corecon.f ../../data/bfl/X_proc_block_BFM.v ../../data/bfl/proc_block_BFM.v 
exec sh ../../data/bfl/run_BFC.sh
vlog -incr -work work ../../data/bfl/test_system.v
