#
#     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
#     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
#     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
#     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
#     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
#     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
#     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
#     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
#     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
#     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
#     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
#     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#     FOR A PARTICULAR PURPOSE.
#     
#     (c) Copyright 2004 Xilinx, Inc.
#     All rights reserved.
#
if { $BEHAVIORAL_SIM == 1 } {
    set ppc405_register_path "/testbench/system_0/ppc405_0/ppc405_0/ppc405_i/ippc405_swift/ppc405_swift_inst"
} else {
    set ppc405_register_path "/testbench"
}
if { $PPC_MODEL_BFM == 0 && $BEHAVIORAL_SIM == 1 } {
    lmcwin enable $ppc405_register_path/dcdAddr
    lmcwin enable $ppc405_register_path/dcdData
    lmcwin enable $ppc405_register_path/exeFull
    lmcwin enable $ppc405_register_path/exeAddr
    lmcwin enable $ppc405_register_path/exeAReg
    lmcwin enable $ppc405_register_path/exeBReg
    lmcwin enable $ppc405_register_path/exeResult
    lmcwin enable $ppc405_register_path/GPR0
    lmcwin enable $ppc405_register_path/GPR1
    lmcwin enable $ppc405_register_path/GPR2
    lmcwin enable $ppc405_register_path/GPR3
    lmcwin enable $ppc405_register_path/GPR4
    lmcwin enable $ppc405_register_path/GPR5
    lmcwin enable $ppc405_register_path/GPR6
    lmcwin enable $ppc405_register_path/GPR7
    lmcwin enable $ppc405_register_path/GPR8
    lmcwin enable $ppc405_register_path/GPR9
    lmcwin enable $ppc405_register_path/GPR10
    lmcwin enable $ppc405_register_path/GPR11
    lmcwin enable $ppc405_register_path/GPR12
    lmcwin enable $ppc405_register_path/GPR13
    lmcwin enable $ppc405_register_path/GPR14
    lmcwin enable $ppc405_register_path/GPR15
    lmcwin enable $ppc405_register_path/GPR16
    lmcwin enable $ppc405_register_path/GPR17
    lmcwin enable $ppc405_register_path/GPR18
    lmcwin enable $ppc405_register_path/GPR19
    lmcwin enable $ppc405_register_path/GPR20
    lmcwin enable $ppc405_register_path/GPR21
    lmcwin enable $ppc405_register_path/GPR22
    lmcwin enable $ppc405_register_path/GPR23
    lmcwin enable $ppc405_register_path/GPR24
    lmcwin enable $ppc405_register_path/GPR25
    lmcwin enable $ppc405_register_path/GPR26
    lmcwin enable $ppc405_register_path/GPR27
    lmcwin enable $ppc405_register_path/GPR28
    lmcwin enable $ppc405_register_path/GPR29
    lmcwin enable $ppc405_register_path/GPR30
    lmcwin enable $ppc405_register_path/GPR31
    lmcwin enable $ppc405_register_path/CR
    lmcwin enable $ppc405_register_path/CTR
    lmcwin enable $ppc405_register_path/DAC1
    lmcwin enable $ppc405_register_path/DAC2
    lmcwin enable $ppc405_register_path/DVC1
    lmcwin enable $ppc405_register_path/DVC2
    lmcwin enable $ppc405_register_path/XER
    lmcwin enable $ppc405_register_path/DBCR0
    lmcwin enable $ppc405_register_path/DBCR1
    lmcwin enable $ppc405_register_path/DBSR
    lmcwin enable $ppc405_register_path/DBDR
    lmcwin enable $ppc405_register_path/DCCR
    lmcwin enable $ppc405_register_path/DEAR
    lmcwin enable $ppc405_register_path/DCWR
    lmcwin enable $ppc405_register_path/ICCR
    lmcwin enable $ppc405_register_path/SLER
    lmcwin enable $ppc405_register_path/SU0R
    lmcwin enable $ppc405_register_path/SGR
    lmcwin enable $ppc405_register_path/ZPR
    lmcwin enable $ppc405_register_path/PID
    lmcwin enable $ppc405_register_path/CCR0
    lmcwin enable $ppc405_register_path/ICDBDR
    lmcwin enable $ppc405_register_path/IAC1
    lmcwin enable $ppc405_register_path/IAC2
    lmcwin enable $ppc405_register_path/IAC3
    lmcwin enable $ppc405_register_path/IAC4
    lmcwin enable $ppc405_register_path/LR
    lmcwin enable $ppc405_register_path/EVPR
    lmcwin enable $ppc405_register_path/SPRG0
    lmcwin enable $ppc405_register_path/SPRG1
    lmcwin enable $ppc405_register_path/SPRG2
    lmcwin enable $ppc405_register_path/SPRG3
    lmcwin enable $ppc405_register_path/SPRG4
    lmcwin enable $ppc405_register_path/SPRG5
    lmcwin enable $ppc405_register_path/SPRG6
    lmcwin enable $ppc405_register_path/SPRG7
    lmcwin enable $ppc405_register_path/SRR0
    lmcwin enable $ppc405_register_path/SRR1
    lmcwin enable $ppc405_register_path/SRR2
    lmcwin enable $ppc405_register_path/SRR3
    lmcwin enable $ppc405_register_path/MSR
    lmcwin enable $ppc405_register_path/PVR
    lmcwin enable $ppc405_register_path/ESR
    lmcwin enable $ppc405_register_path/PIT
    lmcwin enable $ppc405_register_path/TBH
    lmcwin enable $ppc405_register_path/TBL
    lmcwin enable $ppc405_register_path/TSR
    lmcwin enable $ppc405_register_path/TCR
}
onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider Testbench
add wave -noupdate -format Logic /testbench/clk
add wave -noupdate -format Logic /testbench/sysace_clk
add wave -noupdate -format Logic /testbench/gsr_rst
add wave -noupdate -format Logic /testbench/external_rst_n
add wave -noupdate -format Literal /testbench/gpio
add wave -noupdate -divider {PPC405 Instruction Cache Unit PLB Interface}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBCLK
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICUREQUEST
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICUABORT
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICURNW
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/C405PLBICUABUS
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBICUBE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICUCACHEABLE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICUGUARDED
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBICUPRIORITY
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBICUSIZE
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBICUTYPE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBICUU0ATTR
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405ICUADDRACK
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/PLBC405ICUSSIZE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405ICUBUSY
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405ICUERR
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405ICURDDACK
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/PLBC405ICURDDBUS
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/PLBC405ICURDWDADDR
add wave -noupdate -divider {PPC405 Data Cache Unit PLB Interface}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBCLK
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUREQUEST
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUABORT
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCURNW
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/C405PLBDCUABUS
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBDCUBE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUCACHEABLE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUGUARDED
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBDCUPRIORITY
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBDCUSIZE
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405PLBDCUTYPE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUU0ATTR
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405PLBDCUWRITETHRU
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405DCUADDRACK
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/PLBC405DCUSSIZE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405DCUBUSY
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405DCUERR
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405DCURDDACK
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/PLBC405DCURDDBUS
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/PLBC405DCURDWDADDR
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/PLBC405DCUWRDACK
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/C405PLBDCUWRDBUS
add wave -noupdate -divider {PPC405 Miscellaneous Signals}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/CPMC405CLOCK
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/RSTC405RESETCHIP
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/RSTC405RESETCORE
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/RSTC405RESETSYS
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/EICC405CRITINPUTIRQ
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/EICC405EXTINPUTIRQ
add wave -noupdate -divider {OPB Bus}
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_select
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_RNW
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0/OPB_ABus
add wave -noupdate -format Literal /testbench/system_0/opb_v20_0/OPB_BE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0/OPB_DBus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0/Sl_DBus
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_busLock
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_seqAddr
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_xferAck
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_errAck
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_retry
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_timeout
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0/OPB_toutSup
add wave -noupdate -divider {DCR - CPU Connected}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/CPMC405CLOCK
add wave -noupdate -format Literal /testbench/system_0/ppc405_0/C405DCRABUS
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405DCRREAD
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/C405DCRWRITE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/C405DCRDBUSOUT
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/DCRC405ACK
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/DCRC405DBUSIN
add wave -noupdate -divider {DCR - Mem Mapped}
add wave -noupdate -format Logic /testbench/system_0/opb2dcr_bridge_0/OPB_dcrClk
add wave -noupdate -format Logic /testbench/system_0/opb2dcr_bridge_0/OPB_dcrRst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb2dcr_bridge_0/OPB_dcrABus
add wave -noupdate -format Logic /testbench/system_0/opb2dcr_bridge_0/OPB_dcrRead
add wave -noupdate -format Logic /testbench/system_0/opb2dcr_bridge_0/OPB_dcrWrite
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb2dcr_bridge_0/OPB_dcrDBusOut
add wave -noupdate -format Logic /testbench/system_0/opb2dcr_bridge_0/DCR_opbAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb2dcr_bridge_0/DCR_opbDBusIn
add wave -noupdate -divider {FPGA I/O}
add wave -noupdate -format Logic /testbench/system_0/case_light
add wave -noupdate -format Logic /testbench/system_0/cpu_halt
add wave -noupdate -format Logic /testbench/system_0/cpu_tck
add wave -noupdate -format Logic /testbench/system_0/cpu_tdi
add wave -noupdate -format Logic /testbench/system_0/cpu_tdo
add wave -noupdate -format Logic /testbench/system_0/cpu_tms
add wave -noupdate -format Logic /testbench/system_0/cpu_trst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/fpga_led
add wave -noupdate -format Logic /testbench/system_0/fpga_led_xcvr_sab
add wave -noupdate -format Logic /testbench/system_0/fpga_pwr_sig_n
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/gp_button
add wave -noupdate -format Logic /testbench/system_0/gp_button_xcvr_dir
add wave -noupdate -format Logic /testbench/system_0/gp_button_xcvr_oe
add wave -noupdate -format Logic /testbench/system_0/gp_button_xcvr_sba
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/gpio
add wave -noupdate -format Logic /testbench/system_0/iic_eeprom_wp
add wave -noupdate -format Logic /testbench/system_0/opb_error
add wave -noupdate -format Logic /testbench/system_0/plb_error
add wave -noupdate -format Logic /testbench/system_0/sys_clk
add wave -noupdate -format Logic /testbench/system_0/sys_rst_in
add wave -noupdate -divider {Trace Signals}
add wave -noupdate -format Logic /testbench/system_0/trc_clk
add wave -noupdate -format Logic /testbench/system_0/trc_ts1e
add wave -noupdate -format Logic /testbench/system_0/trc_ts1o
add wave -noupdate -format Logic /testbench/system_0/trc_ts2e
add wave -noupdate -format Logic /testbench/system_0/trc_ts2o
add wave -noupdate -format Logic /testbench/system_0/trc_ts3
add wave -noupdate -format Logic /testbench/system_0/trc_ts4
add wave -noupdate -format Logic /testbench/system_0/trc_ts5
add wave -noupdate -format Logic /testbench/system_0/trc_ts6
add wave -noupdate -divider {UART1 Signals}
add wave -noupdate -format Logic /testbench/system_0/uart1_ctsn
add wave -noupdate -format Logic /testbench/system_0/uart1_rtsn
add wave -noupdate -format Logic /testbench/system_0/uart1_sin
add wave -noupdate -format Logic /testbench/system_0/uart1_sout
add wave -noupdate -divider {UART2 Signals}
add wave -noupdate -format Logic /testbench/system_0/uart2_ctsN
add wave -noupdate -format Logic /testbench/system_0/uart2_rtsN
add wave -noupdate -format Logic /testbench/system_0/uart2_sin
add wave -noupdate -format Logic /testbench/system_0/uart2_sout
add wave -noupdate -divider {DDR Signals}
add wave -noupdate -format Literal /testbench/ddr_ad
add wave -noupdate -format Literal /testbench/ddr_ba
add wave -noupdate -format Logic /testbench/ddr_casb
add wave -noupdate -format Logic /testbench/ddr_cke
add wave -noupdate -format Logic /testbench/ddr_clk
add wave -noupdate -format Logic /testbench/ddr_clk_fb
add wave -noupdate -format Logic /testbench/ddr_clkb
add wave -noupdate -format Logic /testbench/ddr_csb
add wave -noupdate -format Literal /testbench/ddr_dm
add wave -noupdate -format Literal -radix hexadecimal /testbench/ddr_dq
add wave -noupdate -format Literal /testbench/ddr_dqs
add wave -noupdate -format Logic /testbench/ddr_rasb
add wave -noupdate -format Logic /testbench/ddr_web
add wave -noupdate -divider {SystemACE Signals}
add wave -noupdate -format Logic /testbench/system_0/sysace_clk_oe_n
add wave -noupdate -format Logic /testbench/system_0/sysace_clk_in
add wave -noupdate -format Literal /testbench/system_0/sysace_mpa
add wave -noupdate -format Logic /testbench/system_0/sysace_mpce
add wave -noupdate -format Literal /testbench/system_0/sysace_mpd
add wave -noupdate -format Logic /testbench/system_0/sysace_mpirq
add wave -noupdate -format Logic /testbench/system_0/sysace_mpoe
add wave -noupdate -format Logic /testbench/system_0/sysace_mpwe
add wave -noupdate -divider {IIC Signals}
add wave -noupdate -format Logic /testbench/system_0/iic_scl
add wave -noupdate -format Logic /testbench/system_0/iic_sda
add wave -noupdate -format Logic /testbench/system_0/iic_irq_n
add wave -noupdate -format Logic /testbench/system_0/iic_temp_crit_n
add wave -noupdate -divider {PCI Signals}
add wave -noupdate -format Logic /testbench/system_0/PCI_INTA
add wave -noupdate -format Logic /testbench/system_0/PCI_INTB
add wave -noupdate -format Logic /testbench/system_0/PCI_INTC
add wave -noupdate -format Logic /testbench/system_0/PCI_INTD
add wave -noupdate -format Logic /testbench/system_0/PCI_CB_GNT
add wave -noupdate -format Logic /testbench/system_0/PCI_PMC_GNT
add wave -noupdate -format Logic /testbench/system_0/PCI_RST_N
add wave -noupdate -format Logic /testbench/system_0/PCI_GRST_N
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/PCI_AD
add wave -noupdate -format Literal /testbench/system_0/PCI_CBE
add wave -noupdate -format Logic /testbench/system_0/PCI_PAR
add wave -noupdate -format Logic /testbench/system_0/PCI_FRAME_N
add wave -noupdate -format Logic /testbench/system_0/PCI_REQ64_N
add wave -noupdate -format Logic /testbench/system_0/PCI_TRDY_N
add wave -noupdate -format Logic /testbench/system_0/PCI_IDSEL
add wave -noupdate -format Logic /testbench/system_0/PCI_IRDY_N
add wave -noupdate -format Logic /testbench/system_0/PCI_STOP_N
add wave -noupdate -format Logic /testbench/system_0/PCI_DEVSEL_N
add wave -noupdate -format Logic /testbench/system_0/PCI_ACK64_N
add wave -noupdate -format Logic /testbench/system_0/PCI_PERR_N
add wave -noupdate -format Logic /testbench/system_0/PCI_SERR_N
add wave -noupdate -divider {Ethernet Signals}
add wave -noupdate -format Logic /testbench/system_0/phy_col
add wave -noupdate -format Logic /testbench/system_0/phy_crs
add wave -noupdate -format Logic /testbench/system_0/phy_dv
add wave -noupdate -format Logic /testbench/system_0/phy_mii_clk
add wave -noupdate -format Logic /testbench/system_0/phy_mii_data
add wave -noupdate -format Logic /testbench/system_0/phy_mii_int_n
add wave -noupdate -format Logic /testbench/system_0/phy_rst_n
add wave -noupdate -format Logic /testbench/system_0/phy_rx_clk
add wave -noupdate -format Literal /testbench/system_0/phy_rx_data
add wave -noupdate -format Logic /testbench/system_0/phy_rx_er
add wave -noupdate -format Logic /testbench/system_0/phy_slew1
add wave -noupdate -format Logic /testbench/system_0/phy_slew2
add wave -noupdate -format Logic /testbench/system_0/phy_tx_clk
add wave -noupdate -format Literal /testbench/system_0/phy_tx_data
add wave -noupdate -format Logic /testbench/system_0/phy_tx_en
add wave -noupdate -format Logic /testbench/system_0/phy_tx_er
add wave -noupdate -divider {PS2 1 Signals}
add wave -noupdate -format Logic /testbench/system_0/ps2_clk_rx_1
add wave -noupdate -format Logic /testbench/system_0/ps2_clk_tx_1
add wave -noupdate -format Logic /testbench/system_0/ps2_d_rx_1
add wave -noupdate -format Logic /testbench/system_0/ps2_d_tx_1
add wave -noupdate -divider {PS2 2 Signals}
add wave -noupdate -format Logic /testbench/system_0/ps2_clk_rx_2
add wave -noupdate -format Logic /testbench/system_0/ps2_clk_tx_2
add wave -noupdate -format Logic /testbench/system_0/ps2_d_rx_2
add wave -noupdate -format Logic /testbench/system_0/ps2_d_tx_2
add wave -noupdate -divider {Touch Screen Display Signals}
add wave -noupdate -format Logic /testbench/system_0/tsd_busy
add wave -noupdate -format Logic /testbench/system_0/tsd_dout
add wave -noupdate -format Logic /testbench/system_0/tsd_penirq
add wave -noupdate -format Logic /testbench/system_0/tsd_dclk
add wave -noupdate -format Logic /testbench/system_0/tsd_din
add wave -noupdate -divider {TFT Signals}
add wave -noupdate -format Logic /testbench/system_0/tft_lcd_hsync
add wave -noupdate -format Logic /testbench/system_0/tft_lcd_vsync
add wave -noupdate -format Logic /testbench/system_0/tft_lcd_de
add wave -noupdate -format Logic /testbench/system_0/tft_lcd_clk
add wave -noupdate -format Logic /testbench/system_0/tft_lcd_dps
add wave -noupdate -format Literal /testbench/system_0/tft_lcd_r
add wave -noupdate -format Literal /testbench/system_0/tft_lcd_g
add wave -noupdate -format Literal /testbench/system_0/tft_lcd_b
add wave -noupdate -divider {Parallel Port Signals}
add wave -noupdate -format Logic /testbench/system_0/PP_INTR
add wave -noupdate -format Logic /testbench/system_0/PP_nWAIT
add wave -noupdate -format Logic /testbench/system_0/PP_USER1
add wave -noupdate -format Logic /testbench/system_0/PP_USER3
add wave -noupdate -format Literal /testbench/system_0/PP_DATA
add wave -noupdate -format Logic /testbench/system_0/PP_DIR
add wave -noupdate -format Logic /testbench/system_0/PP_HD
add wave -noupdate -format Logic /testbench/system_0/PP_nASTRB
add wave -noupdate -format Logic /testbench/system_0/PP_nDSTRB
add wave -noupdate -format Logic /testbench/system_0/PP_nINIT
add wave -noupdate -format Logic /testbench/system_0/PP_nWRITE
add wave -noupdate -format Logic /testbench/system_0/PP_USER2
add wave -noupdate -divider {SystemACE Signals}
add wave -noupdate -format Logic /testbench/system_0/sysace_mpce
add wave -noupdate -format Logic /testbench/system_0/sysace_mpwe
add wave -noupdate -format Logic /testbench/system_0/sysace_mpoe
add wave -noupdate -format Logic /testbench/system_0/sysace_mpirq
add wave -noupdate -format Literal /testbench/system_0/sysace_mpd
add wave -noupdate -format Literal /testbench/system_0/sysace_mpa
add wave -noupdate -divider {AC97 Signals}
add wave -noupdate -format Logic /testbench/system_0/ac97_bit_clk
add wave -noupdate -format Logic /testbench/system_0/ac97_SData_In
add wave -noupdate -format Logic /testbench/system_0/AC97_Reset_n
add wave -noupdate -format Logic /testbench/system_0/ac97_SData_Out
add wave -noupdate -format Logic /testbench/system_0/ac97_Sync
add wave -noupdate -divider {SPI Signals}
add wave -noupdate -format Logic /testbench/system_0/spi_miso
add wave -noupdate -format Logic /testbench/system_0/spi_mosi
add wave -noupdate -format Logic /testbench/system_0/spi_sck
add wave -noupdate -format Logic /testbench/system_0/spi_ss
TreeUpdate [SetDefaultTree]
if { $PPC_MODEL_BFM == 0 } {
    quietly WaveActivateNextPane
    add wave -noupdate -divider {CPU Registers}
    add wave -noupdate -divider {(Only Valid w/ PPC405 SWIFT Model}
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/dcdAddr
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/dcdData
    add wave -noupdate -format Logic $ppc405_register_path/exeFull
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeAddr
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeAReg
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeBReg
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeResult
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR5
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR6
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR7
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR8
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR9
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR10
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR11
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR12
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR13
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR14
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR15
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR16
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR17
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR18
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR19
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR20
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR21
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR22
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR23
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR24
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR25
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR26
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR27
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR28
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR29
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR30
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR31
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CTR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DAC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DAC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DVC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DVC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/XER
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBCR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBCR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBDR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DCCR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DEAR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DCWR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ICCR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SLER
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SU0R
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SGR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ZPR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PID
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CCR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ICDBDR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/LR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/EVPR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG5
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG6
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG7
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/MSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PVR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ESR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PIT
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TBH
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TBL
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TCR
    TreeUpdate [SetDefaultTree]
}
WaveRestoreCursors {680500 ps}
WaveRestoreZoom {79340446 ps} {80020946 ps}
configure wave -namecolwidth 267
configure wave -valuecolwidth 130
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
