
#     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
#     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
#     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
#     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
#     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
#     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
#     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
#     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
#     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
#     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
#     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
#     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#     FOR A PARTICULAR PURPOSE.
#     
#     (c) Copyright 2004 Xilinx, Inc.
#     All rights reserved.
 PARAMETER VERSION = 2.2.0


BEGIN OS
 PARAMETER OS_NAME = linux
 PARAMETER OS_VER = 2.00.b
 PARAMETER PROC_INSTANCE = ppc405_0
 PARAMETER PLB_CLOCK_FREQ_HZ = 100000000
 PARAMETER MEM_SIZE = 0x08000000
 PARAMETER POWERDOWN_BASEADDR = 0x90000004
 PARAMETER POWERDOWN_HIGHADDR = 0x90000007
 PARAMETER POWERDOWN_VALUE = 0xFF
 PARAMETER CONNECTED_PERIPHS = (opb_uart16550_0,my_opb_gpio_0,opb_iic_0,opb_sysace_0,dcr_intc_0,opb_ethernet_0,opb_spi_0,opb_tsd_ref_0,plb_tft_cntlr_ref_0,opb_pci_ref_0,opb_ps2_dual_ref_0)
END


BEGIN PROCESSOR
 PARAMETER DRIVER_NAME = cpu_ppc405
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = ppc405_0
 PARAMETER ARCHIVER = powerpc-eabi-ar
 PARAMETER CORE_CLOCK_FREQ_HZ = 300000000
 PARAMETER COMPILER = powerpc-eabi-gcc
END


BEGIN DRIVER
 PARAMETER HW_INSTANCE = dcr_intc_0
 PARAMETER DRIVER_NAME = intc
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = my_opb_gpio_0
 PARAMETER DRIVER_NAME = gpio
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb2dcr_bridge_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_iic_0
 PARAMETER DRIVER_NAME = iic
 PARAMETER DRIVER_VER = 1.01.c
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_sysace_0
 PARAMETER DRIVER_NAME = sysace
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_uart16550_0
 PARAMETER DRIVER_NAME = uartns550
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER LEVEL = 1
 PARAMETER CLOCK_HZ = 100000000
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb2opb_bridge_0
 PARAMETER DRIVER_NAME = plb2opb
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb_ddr_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ethernet_0
 PARAMETER DRIVER_NAME = emac
 PARAMETER DRIVER_VER = 1.00.c
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_uart16550_1
 PARAMETER DRIVER_NAME = uartns550
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER CLOCK_HZ = 100000000
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_spi_0
 PARAMETER DRIVER_NAME = spi
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ac97_controller_ref_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_par_port_ref_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_pci_ref_0
 PARAMETER DRIVER_NAME = pci_ref
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_v20_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb_v34_0
 PARAMETER DRIVER_NAME = plbarb
 PARAMETER DRIVER_VER = 1.01.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb_tft_cntlr_ref_0
 PARAMETER DRIVER_NAME = tft_ref
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ps2_dual_ref_0
 PARAMETER DRIVER_NAME = ps2_ref
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_tsd_ref_0
 PARAMETER DRIVER_NAME = touchscreen_ref
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END


