/*-----------------------------------------------------------------------------
//     $Date: 2003/05/29 16:25:42 $
//     $RCSfile: xromiic.c,v $
//-----------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
//
//---------------------------------------------------------------------------*/

#include "xparameters.h"
#include "xiic_l.h"
#include "xromlog.h"
#include "xromiic.h"

void XromIicInit(void)
{
}

void XromTestIic(void)
{
  unsigned char devAdr = 0xa0;
  
  unsigned char buf[128];
  unsigned int i;
  unsigned int ret, adr;
  
  XromLogString("  Contents of DDR EEPROM");

  adr = 0;
  buf[0] = (Xint8) (adr >> 8);
  buf[1] = (Xint8) adr;
  ret = XIic_Send(XPAR_OPB_IIC_0_BASEADDR, devAdr>>1, buf, 2);
  ret = XIic_Recv(XPAR_OPB_IIC_0_BASEADDR, devAdr>>1, buf, 128);

  for (i = 0; i < 128; i++)
  {
    if ((i % 8) == 0)
      XromLogString("\r\n  ");
    XromLogHex(buf[i]);
    XromLogString(" ");
  }

  XromLogLn();
  XromLogLn();
}
