/*-----------------------------------------------------------------------------
//     $Date: 2004/01/07 21:54:39 $
//     $RCSfile: xromsmiley.h,v $
//-----------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
//
//---------------------------------------------------------------------------*/

#ifndef XROMSMILEY_H
#define XROMSMILEY_H


#define R_BOT_SW      0x00010000  //0000 0000 0000 0001 0000 0000 0000 0000
#define R_MID_SW      0x00020000  //0000 0000 0000 0010 0000 0000 0000 0000
#define R_TOP_SW      0x00040000  //0000 0000 0000 0100 0000 0000 0000 0000
#define R_GAME_SW_BOT 0x00080000  //0000 0000 0000 1000 0000 0000 0000 0000
#define R_GAME_SW_RT  0x00100000  //0000 0000 0001 0000 0000 0000 0000 0000
#define R_GAME_SW_TOP 0x00200000  //0000 0000 0010 0000 0000 0000 0000 0000
#define R_GAME_SW_LFT 0x00400000  //0000 0000 0100 0000 0000 0000 0000 0000
#define L_BOT_SW      0x01000000  //0000 0001 0000 0000 0000 0000 0000 0000
#define L_MID_SW      0x02000000  //0000 0010 0000 0000 0000 0000 0000 0000
#define L_TOP_SW      0x04000000  //0000 0100 0000 0000 0000 0000 0000 0000
#define L_GAME_SW_BOT 0x08000000  //0000 1000 0000 0000 0000 0000 0000 0000
#define L_GAME_SW_RT  0x10000000  //0001 0000 0000 0000 0000 0000 0000 0000
#define L_GAME_SW_TOP 0x20000000  //0010 0000 0000 0000 0000 0000 0000 0000
#define L_GAME_SW_LFT 0x40000000  //0100 0000 0000 0000 0000 0000 0000 0000

// define colors
#define BLK 0x00000000
#define RED 0x00FF0000
#define GRN 0x0000FF00
#define BLU 0x000000FF
#define WHT 0x00FFFFFF
#define YEL RED | GRN
#define PUR RED       | BLU
#define CYN       GRN | BLU


void playMrSmileyMover(void);

#endif
