#ifndef _GPIO_H_
#define _GPIO_H_


/* function prototypes */
static int gpio_open(struct inode*, struct file*);
static int gpio_release(struct inode*, struct file*);
static int gpio_ioctl(struct inode*, struct file*, unsigned int, unsigned long);
//static int gpio_mmap(struct file*, struct vm_area_struct*);
static ssize_t gpio_read(struct file*, char*, size_t, loff_t*);
static ssize_t gpio_write(struct file*, const char*, size_t, loff_t*);

uint32_t debug_level =1;
#define DPRINTF(x...)  if (debug_level != 0) printk(KERN_NOTICE "GPIO: "x)

/*    GPIO registers  -  these are all offsets from  the address in badr1_iobase    */

#define GPIO_STATUS        0x00

/*    IOCTL codes   */

#define DEFINE_CNAF   1


#endif /* _GPIO_H_ */
