
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include <unistd.h>
#include <errno.h>

#include <sys/types.h> 
#include <sys/stat.h> 
#include <fcntl.h>

void Usage(char *progname) {
    fprintf(stderr,"Usage\n%s \n",progname);
    exit(1);
}

int main(int argc, char **argv) {

    int i;
    int h;
    off_t offset=0x90000000;
    int rc;
    size_t nbytes=8;
    int buffer[80];

    struct timespec time_request;

    if (argc >1) {
        for(i=1;i <argc;i++) {
            if ( (argv[i][0] == '-') || (argv[i][0] == '/') ) {
                switch(tolower(argv[i][1])) {
                     case 'h':
                        break;
                     default:
                        Usage(argv[0]);
                        break;
                }
            }
            else
                Usage(argv[0]);
        }
    }

    h = open("/dev/mem",O_RDWR);
    if (h == -1) {
         printf ("open returned errno = %d\n", errno);
         exit(16);
    }
    
    printf("open returned 0x%x\n",h);
    
    rc = (int)lseek(h, offset, SEEK_SET);

    printf("lseek returned 0x%x\n",rc);
    
    rc = (int) pread(h, &buffer[0], nbytes, offset);
    
    printf("pread returned 0x%x errno=%d\n",rc,errno);
    perror ("pread:");
    
    buffer[0] = -1;
    nbytes=4;
//    rc = (int) pwrite(h, &buffer[0], nbytes, offset);
    
//    printf("pwrite returned 0x%x errno=%d\n",rc,errno);
//    perror ("pwrite:");

    (void) close(h);

    exit(0);

}
