//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
// 
// This File is a place holder for the OPB Toolkit - Monitor

module opb_monitor (
dma_slack,
m_dbus_en,
m_dbus_en32_63,
mx_request,
mx_select,
opb_abus,
opb_be,
opb_beack,
opb_bexfer,
opb_buslock,
opb_clk,
opb_dbus,
opb_dwack,
opb_dwxfer,
opb_errack,
opb_fwack,
opb_fwxfer,
opb_hwack,
opb_hwxfer,
opb_mxgrant,
opb_reset,
opb_retry,
opb_rnw,
opb_seqaddr,
opb_timeout,
opb_toutsup,
opb_uabus,
opb_xferack,
sl_beack,
sl_dbus_en,
sl_dbus_en32_63,
sl_dmareq,
sl_xferack,
synch_in,
synch_out
);

`include "opb_dcl.inc"

parameter name = "foo";

input [0:((`opb_data_bus_width/8)-1)] opb_be;
input [0:(`max_opb_devices-1)] dma_slack;
input [0:(`max_opb_devices-1)] m_dbus_en32_63;
input [0:(`max_opb_devices-1)] m_dbus_en;
input [0:(`max_opb_devices-1)] mx_request;
input [0:(`max_opb_devices-1)] mx_select;
input [0:(`max_opb_devices-1)] opb_mxgrant;
input [0:(`max_opb_devices-1)] sl_beack;
input [0:(`max_opb_devices-1)] sl_dbus_en32_63;
input [0:(`max_opb_devices-1)] sl_dbus_en;
input [0:(`max_opb_devices-1)] sl_dmareq;
input [0:(`max_opb_devices-1)] sl_xferack;
input [0:(`opb_data_bus_width-1)] opb_dbus;
input [0:31] opb_abus;
input [0:31] opb_uabus;
input [0:31] synch_in;
input opb_beack;
input opb_bexfer;
input opb_buslock;
input opb_clk;
input opb_dwack;
input opb_dwxfer;
input opb_errack;
input opb_fwack;
input opb_fwxfer;
input opb_hwack;
input opb_hwxfer;
input opb_reset;
input opb_retry;
input opb_rnw;
input opb_seqaddr;
input opb_timeout;
input opb_toutsup;
input opb_xferack;
output [0:31] synch_out;

assign synch_out = 32'b0;
initial begin
  $display ("Note:  The opb_monitor.v file is provided as a placeholder for an element of ");
  $display ("       the IBM(R) CoreConnect(TM) Toolkit.  The CoreConnect Toolkit is only ");
  $display ("       available to CoreConnect licensees.  Xilinx has simplified the process ");
  $display ("       of becoming a CoreConnect licensee through a web based registration ");
  $display ("       that is available at: ");
  $display ("");
  $display ("       http://www.xilinx.com/coreconnect ");
  $display ("");
  $display ("       CoreConnect licensees are entitled to full access to the CoreConnect ");
  $display ("       Toolkit including powerful bus functional modeling, bus monitoring ");
  $display ("       tools and periodic updates.  To get the most out of the ");
  $display ("       Development Kit, Xilinx recommends the use of the IBM CoreConnect ");
  $display ("       Toolkit. ");
  $display ("");
end

endmodule
