/******************************************************************************
*
*       XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
*       AS A COURTESY TO YOU, SOLELY FOR USE IN DEVELOPING PROGRAMS AND
*       SOLUTIONS FOR XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE,
*       OR INFORMATION AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE,
*       APPLICATION OR STANDARD, XILINX IS MAKING NO REPRESENTATION
*       THAT THIS IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
*       AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
*       FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
*       WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
*       IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
*       REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
*       INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
*       FOR A PARTICULAR PURPOSE.
*
*       (c) Copyright 2002 Xilinx Inc.
*       All rights reserved.
*
******************************************************************************/
/*****************************************************************************/
/**
* @file xpci_g.c
*
* This file contains a configuration table that specifies the configuration
* of PCI devices in the system. 
*
* @note
*
* None.
*
******************************************************************************/

/***************************** Include Files *********************************/
#include "xpci.h"
#include "xparameters.h"

/************************** Constant Definitions *****************************/


/**************************** Type Definitions *******************************/


/***************** Macros (Inline Functions) Definitions *********************/


/************************** Function Prototypes ******************************/


/************************** Variable Prototypes ******************************/

XPci_Config XPci_ConfigTable[] =
{
    {
      XPAR_OPB_PCI_1_DEVICE_ID,
      XPAR_OPB_PCI_1_BASEADDR,
      XPAR_OPB_PCI_1_DMA_BASEADDR,
      XPAR_OPB_PCI_1_PCIBAR_0,
      XPAR_OPB_PCI_1_PCIBAR_1,
      XPAR_OPB_PCI_1_PCIBAR_2,
      XPAR_OPB_PCI_1_PCI_PREFETCH_0,
      XPAR_OPB_PCI_1_PCI_PREFETCH_1,
      XPAR_OPB_PCI_1_PCI_PREFETCH_2,
      XPAR_OPB_PCI_1_PCI_SPACETYPE_0,
      XPAR_OPB_PCI_1_PCI_SPACETYPE_1,
      XPAR_OPB_PCI_1_PCI_SPACETYPE_2,
      XPAR_OPB_PCI_1_DMA_CHAN_TYPE
    }
};


