/*-----------------------------------------------------------------------------
//     $Date: 2004/01/07 21:54:39 $
//     $RCSfile: xromiic.c,v $
//-----------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
//
//---------------------------------------------------------------------------*/

#include "xromlog.h"
#include "xromiic.h"
#include "xiic_l.h"
#include "xparameters.h"
#include "sleep.h"

#define IIC_BASE_ADDRESS   XPAR_OPB_IIC_0_BASEADDR

void XromIicInit(void)
{
  //XIic_Init(IIC_BASE_ADDRESS);
}

void XromTestIic(void)
{
  unsigned char devAdr = 0x30;

  unsigned char buf[128];
  unsigned int i = 0;

  XromLogString("  IIC Test: Reading MAX1617 Ambient Temp\r\n");

  buf[0] = 0;
  XIic_Send(IIC_BASE_ADDRESS, devAdr, buf, 1);
  usleep(10);
  XIic_Recv(IIC_BASE_ADDRESS, devAdr, buf, 1);

  XromLogString("    Ambient Temp = \r\n");
  XromLogHex(buf[i]);


//  for (i = 0; i < 128; i++)
//  {
//    if ((i % 8) == 0)
//    XromLogString(" ");
//  }

//  XromLogLn();
  XromLogLn();
}
